- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Deletes a document and its stored content. If force is set to true, any associated reviews are also deleted.
HTTP request
DELETE https://deepreview.googleapis.com/v1/{name=documents/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the document to delete. It takes the form |
Query parameters
| Parameters | |
|---|---|
allowMissing |
Optional. If set to |
force |
Optional. If set to |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/cloud-platform
For more information, see the OAuth 2.0 Overview.